Bug 28283 - 'Quantity received' should have inputmode="numeric"
Summary: 'Quantity received' should have inputmode="numeric"
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26926
  Show dependency treegraph
 
Reported: 2021-05-04 10:10 UTC by Martin Renvoize
Modified: 2021-05-12 15:18 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 28283: Add `inputmode="numeric"` to quantity on orderreceive (3.32 KB, patch)
2021-05-04 10:17 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28283: Add `inputmode="numeric"` to quantity on orderreceive (3.52 KB, patch)
2021-05-04 10:21 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28283: Add `inputmode="numeric"` to quantity on orderreceive (3.57 KB, patch)
2021-05-07 12:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28283: Add `inputmode="numeric"` to quantity on orderreceive (3.63 KB, patch)
2021-05-09 11:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-05-04 10:10:38 UTC
ACC2 suggests 'inputmode="numeric"' for numeric inputs. This is missing on the acquisitions item receipt page for the 'Quantity received' input.
Comment 1 Martin Renvoize 2021-05-04 10:17:19 UTC Comment hidden (obsolete)
Comment 2 Martin Renvoize 2021-05-04 10:21:00 UTC
Created attachment 120433 [details] [review]
Bug 28283: Add `inputmode="numeric"` to quantity on orderreceive

This patch adds an inputmode to the quantity field on the order receive
page in acquisitions.

Test plan
1. Go to Acquisitions -> Vendor -> Invoices -> Invoice -> Go to receipt
   page -> Receive.
2. Note that the 'Quantity received' input has an inputmode now.
3. Note that the 'Quantity received' input also has a pattern attribute.
4. Note that you should not be able to enter non-integer values.
Comment 3 Owen Leonard 2021-05-07 12:12:41 UTC
Created attachment 120687 [details] [review]
Bug 28283: Add `inputmode="numeric"` to quantity on orderreceive

This patch adds an inputmode to the quantity field on the order receive
page in acquisitions.

Test plan
1. Go to Acquisitions -> Vendor -> Invoices -> Invoice -> Go to receipt
   page -> Receive.
2. Note that the 'Quantity received' input has an inputmode now.
3. Note that the 'Quantity received' input also has a pattern attribute.
4. Note that you should not be able to enter non-integer values.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Katrin Fischer 2021-05-09 11:47:04 UTC
Created attachment 120736 [details] [review]
Bug 28283: Add `inputmode="numeric"` to quantity on orderreceive

This patch adds an inputmode to the quantity field on the order receive
page in acquisitions.

Test plan
1. Go to Acquisitions -> Vendor -> Invoices -> Invoice -> Go to receipt
   page -> Receive.
2. Note that the 'Quantity received' input has an inputmode now.
3. Note that the 'Quantity received' input also has a pattern attribute.
4. Note that you should not be able to enter non-integer values.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-05-11 13:39:36 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-05-12 15:18:20 UTC
Not pushed to 20.11.x